EndpointsLeagues

Get Game-of-the-Week league

GET/v2/leagues/game-of-week

Return the current visible Game-of-the-Week league, or null when none is configured.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

curl -X GET "https://example.com/v2/leagues/game-of-week"
{  "name": "string",  "short_name": "string",  "description": "string",  "commissioner_key": "string",  "commissioner_config": {},  "commissioner_migration_version": "string",  "rounds_paused_at": "2019-08-24T14:15:22Z",  "submissions_locked_at": "2019-08-24T14:15:22Z",  "settings": {},  "filler_policy_version_ids": [    "19818f13-26cb-4fdd-9b0c-2e0096e5f70d"  ],  "seed_policy_version_ids": [    "9b626be7-cdd2-4e22-8014-dab46ae046a1"  ],  "seed_policy_number": 0,  "rules": {},  "public": false,  "hidden": false,  "is_game_of_week": false,  "disabled_at": "2019-08-24T14:15:22Z",  "notes": "string",  "id": "string",  "game": {    "name": "string",    "coworld_name": "string",    "description": "string",    "owner_user_id": "string",    "notes": "string",    "id": "string",    "default_league_id": "string",    "coworld_id": "string",    "canonical_coworld_id": "string",    "coworld_tags": [      "string"    ],    "created_at": "2019-08-24T14:15:22Z"  },  "mod": {    "name": "string",    "description": "string",    "owner_user_id": "string",    "notes": "string",    "id": "string",    "game": {      "name": "string",      "coworld_name": "string",      "description": "string",      "owner_user_id": "string",      "notes": "string",      "id": "string",      "default_league_id": "string",      "coworld_id": "string",      "canonical_coworld_id": "string",      "coworld_tags": [        "string"      ],      "created_at": "2019-08-24T14:15:22Z"    },    "created_at": "2019-08-24T14:15:22Z"  },  "created_at": "2019-08-24T14:15:22Z",  "participation_url": "string",  "forum_markdown_url": "string",  "wiki_markdown_url": "string",  "logs_reporter_id": "string",  "logs_source": "league",  "handicaps": {    "property1": 0,    "property2": 0  },  "handicap_dynamic": {    "max_handicap": 0.5,    "curve": 1,    "min_entrants": 3,    "dominance_ratio_for_max": 3,    "winrate_for_max": 0.85  }}